#pragma once

#include "CoreMinimal.h"
#include "Components/ActorComponent.h"
#include "BlastMineRepairSensor.generated.h"

class AGenerator;

UCLASS(Blueprintable, meta=(BlueprintSpawnableComponent))
class DBDCOMPETENCE_API UBlastMineRepairSensor : public UActorComponent
{
	GENERATED_BODY()

private:
	UPROPERTY(EditInstanceOnly, BlueprintReadWrite, Transient, meta=(AllowPrivateAccess=true))
	AGenerator* _generator;

private:
	UFUNCTION(BlueprintCallable)
	void Authority_GeneratorRepaired(bool isAutoCompleted);

public:
	UBlastMineRepairSensor();
};

FORCEINLINE uint32 GetTypeHash(const UBlastMineRepairSensor) { return 0; }
